searchData={"content_type":"text/markdown","items":[{"doc":"","ref":"Aww.html","title":"Aww","type":"module"},{"doc":"Generate URL for avatar using given service.","ref":"Aww.html#avatar_url/2","title":"Aww.avatar_url/2","type":"function"},{"doc":"Gravatar options supported are:\n\n- `:size` - pixel size of the resulting image. As returned avatars are always\n  squares, only one side is needed.\n- `:default` - fallback image and/or implementation for image generation.\n  Check out your implementation documentation for list of supported values.\n- `:robohash` - Libravatar and Gravatar support using additional option for\n  `default: :robohash`.\n- `:forcedefault?` - force using default image (useful for testing)\n- `:rating` - require image of this rating or lower. Used for explicit image\n  filtering. Ignored by Libravatar (that service requires all images to be\n  `PG` rated).","ref":"Aww.html#avatar_url/2-options","title":"Options - Aww.avatar_url/2","type":"function"},{"doc":"It is possible to configure used service via options under `:service_opts`\nconfiguration key. Recognised options are:\n\n- `:host` - implementation that will be used for generating avatar. Possible\n  options are:\n    + `:gravatar` - [Gravatar](https://gravatar.com)\n    + `:libravatar` - [Libravatar](https://www.libravatar.org) - federated\n      and open source service providing Gravatar-compatible API\n    + 2-ary function passed either as a capture or `{m, f, a}` tuple.\n      In case of MFA tuple the arguments will be prepended to passed list.\n      Arguments appended are: domain of the `email` and `opts` passed to this\n      function.\n  Defaults to `Application.get_env(:aww, :default, :libravatar)`.\n- `:secure?` - whether to use secure (HTTPS) connection to the service.\n  Defaults to `true`.\n- `:resolv_opts` - used by `host: :libravatar` - additional opts passed to DNS\n  resolver. See `t::inet_res.res_option/0` for details.\n- `:timeout` - DNS query timeout in milliseconds. Defaults to `5000` (5 seconds).","ref":"Aww.html#avatar_url/2-service-options","title":"Service options - Aww.avatar_url/2","type":"function"},{"doc":"","ref":"Aww.html#t:avatar_opt/0","title":"Aww.avatar_opt/0","type":"type"},{"doc":"","ref":"Aww.html#t:host/0","title":"Aww.host/0","type":"type"},{"doc":"","ref":"Aww.html#t:opts/0","title":"Aww.opts/0","type":"type"},{"doc":"","ref":"Aww.html#t:service_opt/0","title":"Aww.service_opt/0","type":"type"},{"doc":"<!--\nSPDX-FileCopyrightText: 2024 Łukasz Niemier <#@hauleth.dev>\n\nSPDX-License-Identifier: MPL-2.0\n-->\n\n# Aww\n\nGenerate URL for avatars using:\n\n- [Gravatar](https://gravatar.com)\n- [Libravatar](https://libravatar.org)","ref":"readme.html","title":"Aww","type":"extras"},{"doc":"```elixir\ndef deps do\n  [\n    {:aww, \"~> 1.0\"}\n  ]\nend\n```","ref":"readme.html#installation","title":"Installation - Aww","type":"extras"},{"doc":"Just pass the e-mail (or, in case of Libravatar, you can also use OpenID URL) to\nthe `Aww.avatar_url/1` function and you will receive `URI` struct which points\nto avatar for given user.\n\n```elixir\nAww.avatar_url(\"~@hauleth.dev\")\n# => %URI{\n#   scheme: \"https\",\n#   userinfo: nil,\n#   host: \"seccdn.libravatar.org\",\n#   port: nil,\n#   path: \"/avatar/ac3c4f9061d8e8252d03301685433aa8f943d4d6540caa232ccfb227b38aaa6c\",\n#   query: \"\",\n#   fragment: nil\n# }\n```","ref":"readme.html#usage","title":"Usage - Aww","type":"extras"}],"producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}